FlowShopOpMutationExchange(3)

NAME
FlowShopOpMutationExchange - Exchange mutation operator for the flow-shop.

SYNOPSIS

#include <FlowShopOpMutationExchange.h>

Inherits eoMonOp< FlowShop >.

  Public Member Functions
std::string className () const
the class name (used to display statistics)
bool operator() (FlowShop &_flowshop)
modifies the parent with an exchange mutation

Detailed Description

Exchange mutation operator for the flow-shop.

Definition at line 22 of file FlowShopOpMutationExchange.h.

Member Function Documentation

  bool FlowShopOpMutationExchange::operator() (FlowShop & _flowshop) [virtual]

modifies the parent with an exchange mutation

Parameters:
    _flowshop the parent genotype (will be modified)

Implements eoUF< FlowShop &, bool >.

Definition at line 22 of file FlowShopOpMutationExchange.cpp.

References eoRng::random(), and moeoVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity, GeneType >::value().

Author

Generated automatically by Doxygen for ParadisEO-MOEOMovingObjects from the source code.